#include <iostream>
using namespace std;
#include<cmath>
#include<algorithm>
#include<cstring>
#include <bits/stdc++.h>




int main(int argc, char** argv) 
{
	ios::sync_with_stdio(false);
    cin.tie(0);
    
    int n;
    double a[n];
	double p[n];
	
	cin>>n;
	for(int i=0;i<n;i++)
	{
		cin>>a[i]>>p[i];
	}
	
    double maxprocenata=0;
    double max=0;
    double pom[n];
    
    for(int i=0;i<n;i++)
	{
		pom[i]=p[i];
	}
	sort(p,p+n);
	for(int i=0;i<n;i++)
	{
		for(int j=0;j<n;j++)
		{
			if(pom[j]==p[i])
			{
				int t=a[i];
				a[i]=a[j];
				a[j]=t;
			}
		}
	}
    
    
	
}